Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct Class Reference

this class is used to create a field definition. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct:

## Public Attributes
| $fieldTypeIdentifier
| $identifier
| $names
| $descriptions
| $fieldGroup
| $position
| $isTranslatable
| $isRequired
| $isInfoCollector
| $validatorConfiguration
| $fieldSettings
| $defaultValue
| $isSearchable

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

this class is used to create a field definition.

Definition at line 14 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## Member Data Documentation

## ◆ $defaultValue

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$defaultValue

Definition at line 105 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $descriptions

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$descriptions

Definition at line 48 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $fieldGroup

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$fieldGroup

Definition at line 55 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $fieldSettings

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$fieldSettings

Definition at line 98 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $fieldTypeIdentifier

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$fieldTypeIdentifier

Definition at line 23 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $identifier

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$identifier

Definition at line 34 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $isInfoCollector

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$isInfoCollector

Definition at line 84 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $isRequired

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$isRequired

Definition at line 77 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $isSearchable

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$isSearchable

Definition at line 112 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $isTranslatable

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$isTranslatable

Definition at line 70 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $names

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$names

Definition at line 41 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $position

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$position

Definition at line 63 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

## ◆ $validatorConfiguration

eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionCreateStruct::$validatorConfiguration

Definition at line 91 of file API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php.

The documentation for this class was generated from the following file:

- API/Repository/Values/ContentType/FieldDefinitionCreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.